Set the value of a configuration option

- « EventDnsBase::parseResolvConf

- EventDnsBase::setSearchNdots »

- PHP Manual
- EventDnsBase
- Set the value of a configuration option

# EventDnsBase::setOption

(PECL event >= 1.2.6-beta)

EventDnsBase::setOption — Set the value of a configuration option

### Description

public EventDnsBase::setOption( string `$option` , string `$value` ): bool

Set the value of a configuration option.

### Parameters

`option`

  The currently available configuration options are: `"ndots"`, `"timeout"`, `"max-timeouts"`, `"max-inflight"`, and `"attempts"`.

`value`

  Option value.

### Return Values

Returns `true` on success or `false` on failure.